> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sessions

> Retrieves all active Sessions for a Member



## OpenAPI

````yaml GET /v1/b2b/sessions
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/sessions:
    get:
      tags:
        - Session
      summary: Get
      description: Retrieves all active Sessions for a Member.
      operationId: api_b2b_session_v1_Get
      parameters:
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a specific Organization. The
              `organization_id` is critical to perform operations on an
              Organization, so be sure to preserve this value. You may also use
              the organization_slug or organization_external_id here as a
              convenience.
        - name: member_id
          in: query
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a specific Member. The
              `member_id` is critical to perform operations on a Member, so be
              sure to preserve this value. You may use an external_id here if
              one is set for the member.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_b2b_session_v1_GetResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // GET /v1/b2b/sessions
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
            };

            client.Sessions.Get(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/b2b/sessions\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/sessions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &sessions.GetParams{\n\t\tOrganizationID: \"organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931\",\n\t\tMemberID:       \"member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f\",\n\t}\n\n\tresp, err := client.Sessions.Get(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: |-
            // GET /v1/b2b/sessions
            package com.example;

            import com.stytch.java.b2b.models.sessions.GetRequest;
            import com.stytch.java.b2b.StytchB2BClient;
            import com.stytch.java.common.StytchResult;

            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    GetRequest params = new GetRequest();
                    params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
                    params.setMemberId("member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f");

                    Object result = StytchB2BClient.getSessions().get(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: |
            // GET /v1/b2b/sessions
            package com.example

            import com.stytch.java.b2b.StytchB2BClient
            import com.stytch.java.b2b.models.sessions.GetRequest

            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.sessions.get(
                            GetRequest(
                                organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                                memberId = "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // GET /v1/b2b/sessions
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
            };

            client.sessions.get(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->sessions->get([
                'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
                'member_id' => 'member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f',
            ]);
        - lang: python
          label: Python
          source: |
            # GET /v1/b2b/sessions
            from stytch import B2BClient

            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.sessions.get(
                organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                member_id="member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # GET /v1/b2b/sessions
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.sessions.get(
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // GET /v1/b2b/sessions
            use stytch::b2b::client::Client;
            use stytch::b2b::sessions::GetRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.sessions.get(
                    GetRequest{
                        organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                        member_id: "member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # GET /v1/b2b/sessions
            curl --request GET \
              --url https://test.stytch.com/v1/b2b/sessions \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              --get \
              --data-urlencode 'organization_id=organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931' \
              --data-urlencode 'member_id=member-test-32fc5024-9c09-4da3-bd2e-c9ce4da9375f'
components:
  schemas:
    api_b2b_session_v1_GetResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        member_sessions:
          type: array
          items:
            $ref: '#/components/schemas/api_b2b_session_v1_MemberSession'
          description: >-
            An array of [Session
            objects](https://stytch.com/docs/b2b/api/session-object).
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - member_sessions
        - status_code
    api_b2b_session_v1_MemberSession:
      type: object
      properties:
        member_session_id:
          type: string
          description: Globally unique UUID that identifies a specific Session.
        member_id:
          type: string
          description: Globally unique UUID that identifies a specific Member.
        started_at:
          type: string
          description: >-
            The timestamp when the Session was created. Values conform to the
            RFC 3339 standard and are expressed in UTC, e.g.
            `2021-12-29T12:33:09Z`.
        last_accessed_at:
          type: string
          description: >-
            The timestamp when the Session was last accessed. Values conform to
            the RFC 3339 standard and are expressed in UTC, e.g.
            `2021-12-29T12:33:09Z`.
        expires_at:
          type: string
          description: >-
            The timestamp when the Session expires. Values conform to the RFC
            3339 standard and are expressed in UTC, e.g. `2021-12-29T12:33:09Z`.
        authentication_factors:
          type: array
          items:
            $ref: '#/components/schemas/api_session_v1_AuthenticationFactor'
          description: >-
            An array of different authentication factors that comprise a
            Session.
        organization_id:
          type: string
          description: >-
            Globally unique UUID that identifies a specific Organization. The
            `organization_id` is critical to perform operations on an
            Organization, so be sure to preserve this value.
        roles:
          type: array
          items:
            type: string
        organization_slug:
          type: string
          description: >-
            The unique URL slug of the Organization. The slug only accepts
            alphanumeric characters and the following reserved characters: `-`
            `.` `_` `~`. Must be between 2 and 128 characters in length.
            Wherever an organization_id is expected in a path or request
            parameter, you may also use the organization_slug as a convenience.
        custom_claims:
          type: object
          additionalProperties: true
          description: >-
            The custom claims map for a Session. Claims can be added to a
            session during a Sessions authenticate call.
      required:
        - member_session_id
        - member_id
        - started_at
        - last_accessed_at
        - expires_at
        - authentication_factors
        - organization_id
        - roles
        - organization_slug
    api_session_v1_AuthenticationFactor:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/api_session_v1_sessions_AuthenticationFactorType
          description: >-
            The type of authentication factor. The possible values are:
            `email_otp`, `impersonated`, `imported`,
                   `magic_link`, `oauth`, `otp`, `password`, `recovery_codes`, `sso`, `trusted_auth_token`, or `totp`.
        delivery_method:
          $ref: >-
            #/components/schemas/api_session_v1_sessions_AuthenticationFactorDeliveryMethod
          description: >-
            The method that was used to deliver the authentication factor. The
            possible values depend on the `type`:
                 
                  `email_otp` – Only `email`.
                 
                  `impersonated` – Only `impersonation`.
                  
                  `imported` – Only `imported_auth0`.
                 
                  `magic_link` – Only `email`.
                 
                  `oauth` – The delivery method is determined by the specific OAuth provider used. The possible values are `oauth_google`, `oauth_microsoft`, `oauth_hubspot`, `oauth_slack`, or `oauth_github`.
                  
                    In addition, you may see an 'exchange' delivery method when a non-email-verifying OAuth factor originally authenticated in one organization is exchanged for a factor in another organization.
                    This can happen during authentication flows such as [session exchange](https://stytch.com/docs/b2b/api/exchange-session).
                    The non-email-verifying OAuth providers are Hubspot, Slack, and Github.
                    Google is also considered non-email-verifying when the HD claim is empty.
                    The possible exchange values are `oauth_exchange_google`, `oauth_exchange_hubspot`, `oauth_exchange_slack`, or `oauth_exchange_github`.
                   
                    The final possible value is `oauth_access_token_exchange`, if this factor came from an [access token exchange flow](https://stytch.com/docs/b2b/api/connected-app-access-token-exchange).
                 
                  `otp` –  Only `sms`.
                 
                  `password` – Only `knowledge`.
                 
                  `recovery_codes` – Only `recovery_code`.
                 
                  `sso` – Either `sso_saml` or `sso_oidc`.
                 
                  `trusted_auth_token` – Only `trusted_token_exchange`.
                 
                  `totp` – Only `authenticator_app`.
                  
        last_authenticated_at:
          type: string
          description: The timestamp when the factor was last authenticated.
        created_at:
          type: string
          description: The timestamp when the factor was initially authenticated.
        updated_at:
          type: string
          description: The timestamp when the factor was last updated.
        email_factor:
          $ref: '#/components/schemas/api_session_v1_EmailFactor'
          description: Information about the email factor, if one is present.
        phone_number_factor:
          $ref: '#/components/schemas/api_session_v1_PhoneNumberFactor'
          description: Information about the phone number factor, if one is present.
        google_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_GoogleOAuthFactor'
          description: Information about the Google OAuth factor, if one is present.
        microsoft_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_MicrosoftOAuthFactor'
          description: Information about the Microsoft OAuth factor, if one is present.
        apple_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_AppleOAuthFactor'
        webauthn_factor:
          $ref: '#/components/schemas/api_session_v1_WebAuthnFactor'
        authenticator_app_factor:
          $ref: '#/components/schemas/api_session_v1_AuthenticatorAppFactor'
          description: >-
            Information about the TOTP-backed Authenticator App factor, if one
            is present.
        github_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_GithubOAuthFactor'
          description: Information about the Github OAuth factor, if one is present.
        recovery_code_factor:
          $ref: '#/components/schemas/api_session_v1_RecoveryCodeFactor'
        facebook_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_FacebookOAuthFactor'
        crypto_wallet_factor:
          $ref: '#/components/schemas/api_session_v1_CryptoWalletFactor'
        amazon_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_AmazonOAuthFactor'
        bitbucket_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_BitbucketOAuthFactor'
        coinbase_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_CoinbaseOAuthFactor'
        discord_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_DiscordOAuthFactor'
        figma_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_FigmaOAuthFactor'
        git_lab_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_GitLabOAuthFactor'
        instagram_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_InstagramOAuthFactor'
        linked_in_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_LinkedInOAuthFactor'
        shopify_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_ShopifyOAuthFactor'
        slack_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_SlackOAuthFactor'
          description: Information about the Slack OAuth factor, if one is present.
        snapchat_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_SnapchatOAuthFactor'
        spotify_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_SpotifyOAuthFactor'
        steam_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_SteamOAuthFactor'
        tik_tok_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_TikTokOAuthFactor'
        twitch_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_TwitchOAuthFactor'
        twitter_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_TwitterOAuthFactor'
        embeddable_magic_link_factor:
          $ref: '#/components/schemas/api_session_v1_EmbeddableMagicLinkFactor'
        biometric_factor:
          $ref: '#/components/schemas/api_session_v1_BiometricFactor'
        saml_sso_factor:
          $ref: '#/components/schemas/api_session_v1_SAMLSSOFactor'
          description: Information about the SAML SSO factor, if one is present.
        oidc_sso_factor:
          $ref: '#/components/schemas/api_session_v1_OIDCSSOFactor'
          description: Information about the OIDC SSO factor, if one is present.
        salesforce_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_SalesforceOAuthFactor'
        yahoo_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_YahooOAuthFactor'
        hubspot_oauth_factor:
          $ref: '#/components/schemas/api_session_v1_HubspotOAuthFactor'
          description: Information about the Hubspot OAuth factor, if one is present.
        slack_oauth_exchange_factor:
          $ref: '#/components/schemas/api_session_v1_SlackOAuthExchangeFactor'
          description: >-
            Information about the Slack OAuth Exchange factor, if one is
            present.
        hubspot_oauth_exchange_factor:
          $ref: '#/components/schemas/api_session_v1_HubspotOAuthExchangeFactor'
          description: >-
            Information about the Hubspot OAuth Exchange factor, if one is
            present.
        github_oauth_exchange_factor:
          $ref: '#/components/schemas/api_session_v1_GithubOAuthExchangeFactor'
          description: >-
            Information about the Github OAuth Exchange factor, if one is
            present.
        google_oauth_exchange_factor:
          $ref: '#/components/schemas/api_session_v1_GoogleOAuthExchangeFactor'
          description: >-
            Information about the Google OAuth Exchange factor, if one is
            present.
        impersonated_factor:
          $ref: '#/components/schemas/api_session_v1_ImpersonatedFactor'
          description: Information about the impersonated factor, if one is present.
        oauth_access_token_exchange_factor:
          $ref: '#/components/schemas/api_session_v1_OAuthAccessTokenExchangeFactor'
          description: >-
            Information about the access token exchange factor, if one is
            present.
        trusted_auth_token_factor:
          $ref: '#/components/schemas/api_session_v1_TrustedAuthTokenFactor'
          description: Information about the trusted auth token factor, if one is present.
      required:
        - type
        - delivery_method
    api_session_v1_sessions_AuthenticationFactorType:
      type: string
      enum:
        - magic_link
        - otp
        - oauth
        - webauthn
        - totp
        - crypto
        - password
        - signature_challenge
        - sso
        - imported
        - recovery_codes
        - email_otp
        - impersonated
        - trusted_auth_token
    api_session_v1_sessions_AuthenticationFactorDeliveryMethod:
      type: string
      enum:
        - email
        - sms
        - whatsapp
        - embedded
        - oauth_google
        - oauth_microsoft
        - oauth_apple
        - webauthn_registration
        - authenticator_app
        - oauth_github
        - recovery_code
        - oauth_facebook
        - crypto_wallet
        - oauth_amazon
        - oauth_bitbucket
        - oauth_coinbase
        - oauth_discord
        - oauth_figma
        - oauth_gitlab
        - oauth_instagram
        - oauth_linkedin
        - oauth_shopify
        - oauth_slack
        - oauth_snapchat
        - oauth_spotify
        - oauth_steam
        - oauth_tiktok
        - oauth_twitch
        - oauth_twitter
        - knowledge
        - biometric
        - sso_saml
        - sso_oidc
        - oauth_salesforce
        - oauth_yahoo
        - oauth_hubspot
        - imported_auth0
        - oauth_exchange_slack
        - oauth_exchange_hubspot
        - oauth_exchange_github
        - oauth_exchange_google
        - impersonation
        - oauth_access_token_exchange
        - trusted_token_exchange
    api_session_v1_EmailFactor:
      type: object
      properties:
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
        email_address:
          type: string
          description: The email address of the Member.
      required:
        - email_id
        - email_address
    api_session_v1_PhoneNumberFactor:
      type: object
      properties:
        phone_id:
          type: string
          description: The globally unique UUID of the Member's phone number.
        phone_number:
          type: string
          description: The phone number of the Member.
      required:
        - phone_id
        - phone_number
    api_session_v1_GoogleOAuthFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an OAuth registration.
        provider_subject:
          type: string
          description: >-
            The unique identifier for the User within a given OAuth provider.
            Also commonly called the `sub` or "Subject field" in OAuth
            protocols.
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - id
        - provider_subject
    api_session_v1_MicrosoftOAuthFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an OAuth registration.
        provider_subject:
          type: string
          description: >-
            The unique identifier for the User within a given OAuth provider.
            Also commonly called the `sub` or "Subject field" in OAuth
            protocols.
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - id
        - provider_subject
    api_session_v1_AppleOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_WebAuthnFactor:
      type: object
      properties:
        webauthn_registration_id:
          type: string
        domain:
          type: string
        user_agent:
          type: string
      required:
        - webauthn_registration_id
        - domain
    api_session_v1_AuthenticatorAppFactor:
      type: object
      properties:
        totp_id:
          type: string
          description: Globally unique UUID that identifies a TOTP instance.
      required:
        - totp_id
    api_session_v1_GithubOAuthFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an OAuth registration.
        provider_subject:
          type: string
          description: >-
            The unique identifier for the User within a given OAuth provider.
            Also commonly called the `sub` or "Subject field" in OAuth
            protocols.
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - id
        - provider_subject
    api_session_v1_RecoveryCodeFactor:
      type: object
      properties:
        totp_recovery_code_id:
          type: string
      required:
        - totp_recovery_code_id
    api_session_v1_FacebookOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_CryptoWalletFactor:
      type: object
      properties:
        crypto_wallet_id:
          type: string
        crypto_wallet_address:
          type: string
        crypto_wallet_type:
          type: string
      required:
        - crypto_wallet_id
        - crypto_wallet_address
        - crypto_wallet_type
    api_session_v1_AmazonOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_BitbucketOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_CoinbaseOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_DiscordOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_FigmaOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_GitLabOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_InstagramOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_LinkedInOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_ShopifyOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_SlackOAuthFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an OAuth registration.
        provider_subject:
          type: string
          description: >-
            The unique identifier for the User within a given OAuth provider.
            Also commonly called the `sub` or "Subject field" in OAuth
            protocols.
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - id
        - provider_subject
    api_session_v1_SnapchatOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_SpotifyOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_SteamOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_TikTokOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_TwitchOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_TwitterOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_EmbeddableMagicLinkFactor:
      type: object
      properties:
        embedded_id:
          type: string
      required:
        - embedded_id
    api_session_v1_BiometricFactor:
      type: object
      properties:
        biometric_registration_id:
          type: string
      required:
        - biometric_registration_id
    api_session_v1_SAMLSSOFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an SSO Registration.
        provider_id:
          type: string
          description: Globally unique UUID that identifies a specific SAML Connection.
        external_id:
          type: string
          description: The ID of the member given by the identity provider.
      required:
        - id
        - provider_id
        - external_id
    api_session_v1_OIDCSSOFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an SSO Registration.
        provider_id:
          type: string
          description: Globally unique UUID that identifies a specific OIDC Connection.
        external_id:
          type: string
          description: The ID of the member given by the identity provider.
      required:
        - id
        - provider_id
        - external_id
    api_session_v1_SalesforceOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_YahooOAuthFactor:
      type: object
      properties:
        id:
          type: string
        provider_subject:
          type: string
        email_id:
          type: string
      required:
        - id
        - provider_subject
    api_session_v1_HubspotOAuthFactor:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of an OAuth registration.
        provider_subject:
          type: string
          description: >-
            The unique identifier for the User within a given OAuth provider.
            Also commonly called the `sub` or "Subject field" in OAuth
            protocols.
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - id
        - provider_subject
    api_session_v1_SlackOAuthExchangeFactor:
      type: object
      properties:
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - email_id
    api_session_v1_HubspotOAuthExchangeFactor:
      type: object
      properties:
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - email_id
    api_session_v1_GithubOAuthExchangeFactor:
      type: object
      properties:
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - email_id
    api_session_v1_GoogleOAuthExchangeFactor:
      type: object
      properties:
        email_id:
          type: string
          description: The globally unique UUID of the Member's email.
      required:
        - email_id
    api_session_v1_ImpersonatedFactor:
      type: object
      properties:
        impersonator_id:
          type: string
          description: >-
            For impersonated sessions initiated via the Stytch Dashboard, the
            `impersonator_id` will be the impersonator's Stytch Dashboard
            `member_id`.
        impersonator_email_address:
          type: string
          description: The email address of the impersonator.
      required:
        - impersonator_id
        - impersonator_email_address
    api_session_v1_OAuthAccessTokenExchangeFactor:
      type: object
      properties:
        client_id:
          type: string
          description: The ID of the Connected App client.
      required:
        - client_id
    api_session_v1_TrustedAuthTokenFactor:
      type: object
      properties:
        token_id:
          type: string
          description: The ID of the trusted auth token.
      required:
        - token_id
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````